<?php
/*
 * The template for displaying archive pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
get_header();
$noneed_testimonial_post = cs_get_option('noneed_testimonial_post');
$noneed_practice_area_post = cs_get_option('noneed_practice_area_post');
$noneed_team_post = cs_get_option('noneed_team_post');

if(function_exists( 'lawrules_core_plugin_status' ) && (lawrules_is_post_type('testimonial') && !$noneed_testimonial_post)){

  $testimonial_style = cs_get_option('testimonial_style');
	$testimonial_limit = cs_get_option('testimonial_limit');
	$testimonial_orderby = cs_get_option('testimonial_orderby');
	$testimonial_order = cs_get_option('testimonial_order');
  $testimonial_limit = $testimonial_limit ? $testimonial_limit : '-1';

  // Query Starts Here
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  $args = array(
    'paged' => $my_page,
    'post_type' => 'testimonial',
    'posts_per_page' => (int)$testimonial_limit,
    'orderby' => $testimonial_orderby,
    'order' => $testimonial_order,
  );

  // Testimonial Style
  if ($testimonial_style === 'style-three') {
    $testimonial_style_class = ' testimonial-style-three testimonial-style-two';
  } elseif ($testimonial_style === 'style-two') {
    $testimonial_style_class = ' testimonial-style-two';
  } else {
    $testimonial_style_class = '';
  }

  // RTL
  if ( is_rtl() ) {
    $switch_rtl = ' data-rtl="true"';
  } else {
    $switch_rtl = ' data-rtl="false"';
  }

  $lawrules_testi = new WP_Query( $args );
  if ($lawrules_testi->have_posts()) :
  ?>
  <div class="lawyr-testimonial-global lawyr-parallax lawyr-overlay <?php echo esc_attr($testimonial_style_class); ?>">
    <div class="container">
    <?php if ($testimonial_style !== 'style-three') { 
      if ($testimonial_style === 'style-two') { ?>
        <div class="owl-carousel" data-items="3" data-margin="30" data-loop="true" data-nav="true" data-dots="false" data-autoplay="true">
      <?php } else { ?>
        <div class="owl-carousel" data-items="1" data-margin="0" data-loop="true" data-nav="false" data-dots="false" data-autoplay="true">
      <?php } } else { ?>
        <div class="row">
      <?php }
  
        while ($lawrules_testi->have_posts()) : $lawrules_testi->the_post();

        // Get Meta Box Options - lawrules_framework_active()
        $testimonial_options = get_post_meta( get_the_ID(), 'testimonial_options', true );
        $testi_job = $testimonial_options['testi_position'];

        // Featured Image
        $large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
        $large_image = isset($large_image[0]) ? $large_image[0] : '';
        $lawrules_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true);
        if($testimonial_style === 'style-three') { ?>
          <div class="col-lg-4 col-md-6">
            <div class="item">
              <div class="testimonial-item">
                <?php if($large_image) { ?>
                    <div class="lawyr-image"><a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($large_image); ?>" alt="<?php echo esc_attr($lawrules_alt); ?>"></a></div>
                  <?php } ?>
                <h2 class="testimonial-title"><?php the_excerpt(); ?></h2>
                <h5 class="testimonial-meta"><span><?php echo esc_html(get_the_title());?></span> <?php if ($testi_job) { echo esc_html($testi_job); } ?></h5>
              </div>
            </div>
          </div>
        <?php } else { ?>
        <div class="item">
          <div class="testimonial-item">
            <?php if($large_image) { ?>
                <div class="lawyr-image"><a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($large_image); ?>" alt="<?php echo esc_attr($lawrules_alt); ?>"></a></div>
              <?php } ?>
            <h2 class="testimonial-title"><?php the_excerpt(); ?></h2>
            <h5 class="testimonial-meta"><span><?php echo esc_html(get_the_title());?></span> <?php if ($testi_job) { echo esc_html($testi_job); } ?></h5>
          </div>
        </div>        
        <?php }

        endwhile;
        wp_reset_postdata();
        ?>
      </div>
    </div>
  </div>

  <?php
    endif;

} elseif (function_exists( 'lawrules_core_plugin_status' ) && (lawrules_is_post_type('practicearea') && !$noneed_practice_area_post)) {
  $practice_area_style = cs_get_option('practice_area_style');
  $practice_area_col = cs_get_option('practice_area_col');
  $practice_area_limit = cs_get_option('practice_area_limit');
  $lawrules_practice_area_show_category = cs_get_option('practice_area_show_category');
  $lawrules_practice_area_orderby = cs_get_option('practice_area_orderby');
  $lawrules_practice_area_order = cs_get_option('practice_area_order');
  $lawrules_practice_area_pagination = cs_get_option('practice_area_pagination');
  $practice_area_limit = $practice_area_limit ? $practice_area_limit : '9';
  
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  if ($lawrules_practice_area_show_category) {
    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'practicearea',
      'posts_per_page' => (int)$practice_area_limit,
      'tax_query' => array(
        array(
          'taxonomy' => 'practicearea_category',
          'field' => 'ID',
          'terms' => $lawrules_practice_area_show_category
        )
      ),
      'orderby' => $lawrules_practice_area_orderby,
      'order' => $lawrules_practice_area_order
    );
  } else {
    $args = array(
      // other query params here,
      'paged' => $my_page,
      'post_type' => 'practicearea',
      'posts_per_page' => (int)$practice_area_limit,
      'orderby' => $lawrules_practice_area_orderby,
      'order' => $lawrules_practice_area_order
    );
  }

  if($practice_area_style === 'four') {
    $area_style_cls = ' lawyr-practice';
  } elseif($practice_area_style === 'three') {
    $area_style_cls = ' area-style-three';
  } elseif($practice_area_style === 'two') {
    $area_style_cls = ' lawyr-area area-style-two';
  } else {
    $area_style_cls = ' lawyr-area';
  }

  $lawrules_case = new WP_Query( $args ); ?>
  <div class="practicearea-global <?php echo esc_attr($area_style_cls); ?>">
    <div class="container">
      <div class="row">
      <?php
      if($practice_area_style === 'four'||$practice_area_style === 'three'||$practice_area_style === 'two') {} else { ?>
        <div class="area-wrap">
          <div class="row">
          <?php }
            if ($lawrules_case->have_posts()) : while ($lawrules_case->have_posts()) : $lawrules_case->the_post();
              get_template_part( 'layouts/post/content', 'practicearea' );
              endwhile;
            else :
              get_template_part( 'layouts/post/content', 'none' );
            endif;
            if($practice_area_style === 'four'||$practice_area_style === 'three'||$practice_area_style === 'two') {} else { ?>
          </div>
        </div>
        <?php } ?>
      </div>
      <!-- End -->
      <?php if($lawrules_case->max_num_pages > 1) {
        if ($lawrules_practice_area_pagination) { lawrules_paging_nav($lawrules_case->max_num_pages,"",$paged); }
      } wp_reset_postdata(); ?>

    </div>
  </div>

<?php } elseif (function_exists( 'lawrules_core_plugin_status' ) && (lawrules_is_post_type('team') && !$noneed_team_post)) {

  $team_style = cs_get_option('team_style');
  $team_limit = cs_get_option('team_limit');
  $team_orderby = cs_get_option('team_orderby');
  $team_order = cs_get_option('team_order');
  $lawrules_team_aqr = cs_get_option('team_aqr');
  $lawrules_team_pagination = cs_get_option('team_pagination');

  $team_limit = $team_limit ? $team_limit : '8';

  if($team_style === 'two') {
    $style_class = ' team-style-two';
  } else {
    $style_class = ' team-style-one';
  }
  // Query Starts Here
  // Pagination
  global $paged;
  if( get_query_var( 'paged' ) )
    $my_page = get_query_var( 'paged' );
  else {
    if( get_query_var( 'page' ) )
      $my_page = get_query_var( 'page' );
    else
      $my_page = 1;
    set_query_var( 'paged', $my_page );
    $paged = $my_page;
  }

  $args = array(
    'paged' => $my_page,
    'post_type' => 'team',
    'posts_per_page' => (int)$team_limit,
    'orderby' => $team_orderby,
    'order' => $team_order,
  );

  $lawrules_team_qury = new WP_Query( $args );
  if ($lawrules_team_qury->have_posts()) :
  ?>

    <div class="lawyr-team-global <?php echo esc_attr($style_class); ?>">
      <div class="container">
        <div class="row">
        <?php
        while ($lawrules_team_qury->have_posts()) : $lawrules_team_qury->the_post();
        // Featured Image
    		$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
    		$large_image = isset($large_image[0]) ? $large_image[0] : '';
    		$abt_title = get_the_title();
        if ($lawrules_team_aqr) {
          $team_featured_img = $large_image;
        } else {
      		if(class_exists('Aq_Resize')) {
      			$team_img = aq_resize( $large_image, '270', '250', true );
      		} else {$team_img = $large_image;}
      		$team_featured_img = ( $team_img ) ? $team_img : esc_url(LAWRULES_IMAGES) . '/holders/270x250.png';
        }
        // Link
        $team_options = get_post_meta( get_the_ID(), 'team_options', true );
        $team_pro = $team_options['team_job_position'];
        $team_socials = $team_options['social_icons'];
        $team_contact = $team_options['contact_details'];
        ?>
        <div class="col-lg-3 col-md-4 col-sm-6">
          <div class="mate-item">
              <?php if ($large_image) { ?>
                <span class="lawyr-image"><a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($team_featured_img); ?>" alt="<?php echo esc_attr($abt_title); ?>"></a></span>
              <?php } ?>
              <span class="mate-name"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html($abt_title); ?></a></span>
            <div class="mate-designation"><?php echo esc_html($team_pro); ?></div>
            <?php if ( ($team_style !== 'two') && ! empty( $team_contact ) ) { ?>
              <div class="mate-meta">
                <?php foreach ( $team_contact as $contact ) {
                if($contact['contact_link']) { ?>
                  <span><?php echo esc_html($contact['contact_title']); ?><a href="<?php echo esc_url($contact['contact_link']); ?>" target="_blank"><?php echo esc_html($contact['contact_text']); ?></a></span>
                <?php } else { ?>
                  <span><?php echo esc_html($contact['contact_title']); ?><?php echo esc_html($contact['contact_text']); ?></span>
                <?php } } ?>
              </div>
            <?php } if($team_style === 'two') { 
              $team_excerpt = cs_get_option('team_excerpt');
              if ($team_excerpt) {
                $team_excerpt = $team_excerpt;
              } else {
                $team_excerpt = '35';
              }
              echo '<p>';
              lawrules_excerpt($team_excerpt);
              echo '</p>';
              if ( ! empty( $team_socials ) ) { ?>
              <div class="lawyr-social square">
                <?php foreach ( $team_socials as $social ) {
                if($social['icon_link']) { ?>
                  <a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>"></i></a>
                <?php } } ?>
              </div>
            <?php }
            } ?>
          </div>
        </div>

        <?php endwhile; ?>
        </div>
        <?php if($lawrules_team_qury->max_num_pages > 1) {
          if ($lawrules_team_pagination) { lawrules_paging_nav($lawrules_team_qury->max_num_pages,"",$paged); }
        } wp_reset_postdata(); ?>
      </div>
    </div><!-- Team End -->

  <?php
  endif;

} else {
// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

if ($lawrules_meta) {
  $lawrules_content_padding = $lawrules_meta['content_spacings'];
} else { $lawrules_content_padding = ''; }
// Padding - Metabox
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
  $lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
  $lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
  $lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
  if ($lawrules_content_padding === 'padding-custom') {
    $lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
  } else {
    $lawrules_custom_padding = '';
  }
} else {
  $lawrules_custom_padding = '';
}

// Theme Options
$lawrules_sidebar_position = cs_get_option('blog_sidebar_position');
$lawrules_blog_widget = cs_get_option('blog_widget');
$blog_style = cs_get_option('blog_style');

if ($lawrules_blog_widget) {
  $widget_select = $lawrules_blog_widget;
} else {
  if (is_active_sidebar('sidebar-1')) {
    $widget_select = 'sidebar-1';
  } else {
    $widget_select = '';
  }
}

// Blog Style 
if($blog_style === 'style-two') {
  $blog_style_cls = ' lawyr-blog-style-two';
} else {
  $blog_style_cls = ' blog-style-four';
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
  if ($lawrules_sidebar_position === 'sidebar-hide') {
    $layout_class = ' col-md-12 lawyr-listing-padding';
    $lawrules_sidebar_class = 'hide-sidebar';
  } elseif ($lawrules_sidebar_position === 'sidebar-left') {
    $layout_class = ' lawyr-primary';
    $lawrules_sidebar_class = 'left-sidebar';
  } else {
    $layout_class = ' lawyr-primary';
    $lawrules_sidebar_class = 'right-sidebar';
  }
} else {
  $lawrules_sidebar_position = 'sidebar-hide';
  $layout_class = ' col-md-12 lawyr-listing-padding';
  $lawrules_sidebar_class = 'hide-sidebar';
}
?>
<div class="lawyr-mid-wrap no-space lawyr-post-listing <?php echo esc_attr($lawrules_content_padding .' '. $lawrules_sidebar_class); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
  <div class="container">
    <div class="row">
      <div class="<?php echo esc_attr($blog_style_cls.$layout_class); ?>">
      <?php if($blog_style === 'style-two') { ?>
        <div class="row">
      <?php } ?>
        <?php do_action( 'lawrules_before_blog_listing_action' ); // Lawrules Action 
          if ( have_posts() ) :
            /* Start the Loop */
            while ( have_posts() ) : the_post();
              get_template_part( 'layouts/post/content' );
            endwhile;
          else :
            get_template_part( 'layouts/post/content', 'none' );
          endif; ?>
          <?php
          lawrules_default_paging_nav();
          wp_reset_postdata();  // avoid errors further down the page
        do_action( 'lawrules_after_blog_listing_action' ); // Lawrules Action ?>
      <?php if($blog_style === 'style-two') { ?>
        </div>
      <?php } ?>
      </div><!-- row -->
      <?php if ($lawrules_sidebar_position !== 'sidebar-hide') {  get_sidebar(); } ?>
    </div>
  </div>
</div>
<?php }
get_footer();
