jQuery(document).ready(function($) {
  "use strict";

  //Lawrules FlagStrap Script
  $(".lawyr-flagstrap ul li a").on('click', function () {
    $(this).parent().siblings().children().removeClass('active');
    $(this).parent().children().addClass('active');
  });
  $(".lawyr-topbar .lawyr-flagstrap").mouseenter(function(){
    $('.lawyr-flagstrap .dropdown-menu').addClass('show');
  });
  $(".lawyr-topbar .lawyr-flagstrap").mouseleave(function(){
    $('.lawyr-flagstrap .dropdown-menu').removeClass('show');
  });

  //Lawrules Sticky Script
  $('.lawyr-sticky').LawrulesSticky ({
    topSpacing: 0,
    zIndex: 4
  });

  // Lawrules On Scroll Update Sticky Script
  $(window).scroll(function () {
    $('.lawyr-sticky').LawrulesSticky('update');
  });

  // Mean Menu
  var $navmenu = $('nav');
  var $menu_starts = ($navmenu.data('nav') !== undefined) ? $navmenu.data('nav') : 1199;
  jQuery('.lawyr-navigation').meanmenu ({
    meanMenuContainer: '.lawyr-header > .container',
    meanMenuOpen: '<span></span><span></span><span></span>',
    meanMenuClose: '<span></span><span></span><span></span>',
    meanExpand: '+',
    meanContract: '-',
    meanScreenWidth: $menu_starts,
  });

  $('li.has-dropdown ul.dropdown-nav li.has-dropdown').addClass('sub');

  //Lawyr Countdown Script
  $('.lawyr-countdown.static').each( function() {
    var $countdown = $(this);
    var date = $countdown.data("date");
    var format = $countdown.data("format");
    var count_format = format ? format : 'dHMS';
    // Plural Labels
    var years = $countdown.data("years");
    var months = $countdown.data("months");
    var weeks = $countdown.data("weeks");
    var days = $countdown.data("days");
    var hours = $countdown.data("hours");
    var minutes = $countdown.data("minutes");
    var seconds = $countdown.data("seconds");
    // Singular Labels
    var year = $countdown.data("year");
    var month = $countdown.data("month");
    var week = $countdown.data("week");
    var day = $countdown.data("day");
    var hour = $countdown.data("hour");
    var minute = $countdown.data("minute");
    var second = $countdown.data("second");

    var austDay = new Date();
    austDay = new Date(date);

    $countdown.countdown({
      until: austDay,
      labels: [years,months,weeks,days,hours,minutes,seconds],
      labels1: [year,month,week,day,hour,minute,second],
      format: count_format,
    });
  });

  // Lawyr Fake COuntdown Script
  $('.lawyr-countdown.fake').each( function() {
    var $countdown = $(this);
    var date = $countdown.data("date");
    var today = new Date();
    var newdate = new Date();
    newdate.setDate(today.getDate() + date);
    var mm = today.getMonth() + 1; //January is 0!
    var yyyy = today.getFullYear();
    today =  new Date(newdate);

    // Plural Labels
    var years = $countdown.data("years");
    var months = $countdown.data("months");
    var weeks = $countdown.data("weeks");
    var days = $countdown.data("days");
    var hours = $countdown.data("hours");
    var minutes = $countdown.data("minutes");
    var seconds = $countdown.data("seconds");
    // Singular Labels
    var year = $countdown.data("year");
    var month = $countdown.data("month");
    var week = $countdown.data("week");
    var day = $countdown.data("day");
    var hour = $countdown.data("hour");
    var minute = $countdown.data("minute");
    var second = $countdown.data("second");

    $('.lawyr-countdown.fake').countdown({
      until: today,
      labels: [years,months,weeks,days,hours,minutes,seconds],
      labels1: [year,month,week,day,hour,minute,second],
    });
  });

  $(window).load(function() {
    //Lawrules Preloader Script
    $('.lawyr-preloader').fadeOut(500);

    // Products Match Height
    $('li.product').matchHeight ({
      property: 'height'
    });

    // One Page Menu
    var headerheight = $(".lawyr-header").outerHeight() + $(".lawyr-navigation").outerHeight();;

    // onpage nave hash link animation
    $(".smooth-scroll .mean-container ul li a[href^='#']").on('click', function (e) {
      $(".meanmenu-reveal").click();
    });

    //Lawrules Hover Script
    $(".strategy-item, .blog-item, .footer-widget, .feature-item, .area-item, ul.products li.product, .lawyr-certificates .lawyr-image").mouseenter(function(){
      $(this).addClass('lawyr-hover');
    });
    $(".strategy-item, .blog-item, .footer-widget, .feature-item, .area-item, ul.products li.product, .lawyr-certificates .lawyr-image").mouseleave(function(){
      $(this).removeClass('lawyr-hover');
    });

    function getId(url){
      var m = url.match(/[\\?\\&]v=([^\\?\\&]+)/);
      var v = url.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/);
      var d = url.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/);
      if ( !m && !v && !d) return null;
      if(m) {
        return m[1];
      }
      if(v){
        return v[2];
      }
      if(d){
        return d[2];
      }
    }
    $('.lawyr-video-btn').each( function() {
      var $link = $(this);
      var myId;
      var myUrl = $link.attr("data-src");
      myId = getId(myUrl);

      if(myUrl.match(/[\\?\\&]v=([^\\?\\&]+)/)) {
        $($link).attr("data-src", "https://www.youtube.com/embed/"+ myId + "");
      }
      if(myUrl.match(/https:\/\/(www\.)?vimeo.com\/(\d+)($|\/)/)) {
        $($link).attr("data-src", "https://player.vimeo.com/video/"+ myId + "?title=0&byline=0&portrait=0");
      }
      if(myUrl.match(/^.+dailymotion.com\/(video|hub)\/([^_]+)[^#]*(#video=([^_&]+))?/)) {
        $($link).attr("data-src", "https://iframespot.blogspot.com/ncr/?m=0&type=dv&url=https%3A%2F%2Fwww.dailymotion.com%2Fembed%2Fvideo%2F"+ myId + "%3Fapi%3D0%26autoplay%3D1%26info%3D0%26logo%3D0%26social%3D0%26related%3D0");
      }
    });
  });

  //Lawrules Add Class In Previous Items
  $(".history-item").mouseenter(function(){
    $(this).prevAll('.history-item').addClass('history-hover');
  });
  $(".history-item").mouseleave(function(){
    $(this).prevAll('.history-item').removeClass('history-hover');
  });

  //Lawrules Sticky Footer Script
  $(window).resize(function() {
    if (screen.width >= 768) {
      $('.lawyr-parallax').jarallax ({
        speed: 0.6,
      });
    };
    if (screen.width >= 1200) {
      $('.lawyr-sticky-footer .main-wrap-inner').css('margin-bottom', $('.lawyr-footer').outerHeight());
    };

    // Mean nav margin top
    var $headerHeight = $('.lawyr-header').outerHeight();
    $('.mean-nav').css('margin-top', $headerHeight );
    // Mean Toggle Top Value
    var $meantop = $('.lawyr-header').outerHeight()/2;
    $('.mean-container a.meanmenu-reveal').css('top', $meantop );

  });
  $(window).trigger('resize');

  //Cspir Nice Select Script
  $('.lawyr-language select').niceSelect();

  //Lawrules Wow Script
  new WOW().init();

  //Lawrules Counter Script
  $('.lawyr-counter').each( function() {
    var $counter = $(this);
    var swiperdelay = $counter.data('delay');
    var swipertime = $counter.data('time');
    $counter.counterUp ({
      delay: swiperdelay,
      time: swipertime,
    });
  });

  //Lawrules Owl Carousel Slider Script
  $('.owl-carousel').each( function() {
    var $carousel = $(this);
    var $items = ($carousel.data('items') !== undefined) ? $carousel.data('items') : 1;
    var $items_tablet = ($carousel.data('items-tablet') !== undefined) ? $carousel.data('items-tablet') : 1;
    var $items_mobile_landscape = ($carousel.data('items-mobile-landscape') !== undefined) ? $carousel.data('items-mobile-landscape') : 1;
    var $items_mobile_portrait = ($carousel.data('items-mobile-portrait') !== undefined) ? $carousel.data('items-mobile-portrait') : 1;
    $carousel.owlCarousel ({
      loop : ($carousel.data('loop') !== undefined) ? $carousel.data('loop') : true,
      items : $carousel.data('items'),
      margin : ($carousel.data('margin') !== undefined) ? $carousel.data('margin') : 0,
      dots : ($carousel.data('dots') !== undefined) ? $carousel.data('dots') : true,
      nav : ($carousel.data('nav') !== undefined) ? $carousel.data('nav') : false,
      navText : ["<div class='slider-no-current'><span class='current-no'></span><span class='total-no'></span></div><span class='current-monials'></span>", "<div class='slider-no-next'></div><span class='next-monials'></span>"],
      autoplay : ($carousel.data('autoplay') !== undefined) ? $carousel.data('autoplay') : false,
      autoplayTimeout : ($carousel.data('autoplay-timeout') !== undefined) ? $carousel.data('autoplay-timeout') : 5000,
      animateIn : ($carousel.data('animatein') !== undefined) ? $carousel.data('animatein') : false,
      animateOut : ($carousel.data('animateout') !== undefined) ? $carousel.data('animateout') : false,
      mouseDrag : ($carousel.data('mouse-drag') !== undefined) ? $carousel.data('mouse-drag') : true,
      autoWidth : ($carousel.data('auto-width') !== undefined) ? $carousel.data('auto-width') : false,
      autoHeight : ($carousel.data('auto-height') !== undefined) ? $carousel.data('auto-height') : false,
      center : ($carousel.data('center') !== undefined) ? $carousel.data('center') : false,
      responsiveClass: true,
      dotsEachNumber: true,
      smartSpeed: 600,
      autoplayHoverPause: true,
      responsive : {
        0 : {
          items : $items_mobile_portrait,
        },
        480 : {
          items : $items_mobile_landscape,
        },
        768 : {
          items : $items_tablet,
        },
        992 : {
          items : $items,
        }
      }
    });
    var totLength = $('.owl-dot', $carousel).length;
    $('.total-no', $carousel).html(totLength);
    $('.current-no', $carousel).html(totLength);
    $carousel.owlCarousel();
    $('.current-no', $carousel).html(1);
    $carousel.on('changed.owl.carousel', function(event) {
      var total_items = event.page.count;
      var currentNum = event.page.index + 1;
      $('.total-no', $carousel ).html(total_items);
      $('.current-no', $carousel).html(currentNum);
    });
  });

  //Lawrules Boostrap Video Modal Script
  $('<div class="modal modal-video fade" id="LawrulesVideoModal"><div class="modal-dialog modal-lg modal-dialog-centered"><div class="modal-content"><div class="modal-body"><div class="embed-responsive embed-responsive-16by9"><iframe class="embed-responsive-item saaspot-video-iframe" id="ModalVideoWrap"></iframe></div></div></div></div></div>').appendTo('body');
  var $videoSrc;
  $('[data-target="#LawrulesVideoModal"]').on('click', function () {
    $videoSrc = $(this).data('src');
  });
  console.log($videoSrc);
  $('#LawrulesVideoModal').on('shown.bs.modal', function (e) {
    $('#ModalVideoWrap').attr('src',$videoSrc + "?rel=0&amp;showinfo=0&amp;modestbranding=1&amp;autoplay=1");
  });
  $('#LawrulesVideoModal').on('hide.bs.modal', function (e) {
    $('#ModalVideoWrap').attr('src',$videoSrc);
  });

  //Lawrules Progress Bar Script
  $('.progress-wrap').waypoint(function() {
    var delay = 800;
    $('.progress-bar').each(function(i) {
      $(this).delay( delay*i ).animate ({
        width: $(this).attr('aria-valuenow') + '%'
      }, delay);
      $(this).prop('Counter',0).animate ({
        Counter: $(this).text()
      },
      {
        duration: delay,
        easing: 'swing',
      });
    });
  },
  {
    offset: '100%',
    triggerOnce: true,
  });

  //Lawrules Sticky Sidebar Script
  $('.lawyr-sticky-sidebar').theiaStickySidebar ({
    additionalMarginTop: 150,
  });

  //Lawrules Floating Sidebar Script
  $(window).scroll(function() {
    var $window = jQuery(window),
    $flotingbar = jQuery('.lawyr-floating-sidebar'),
    offset = jQuery('.lawyr-mid-wrap').offset(),
    $scrolling = jQuery('.lawyr-primary').height(),
    $offsetHeight = jQuery('.lawyr-primary').offset(),
    $topHeight = 0;
    if (jQuery('.lawyr-floating-sidebar').length > 0) {
      if ($window.width() > 1199) {
        if (($window.scrollTop() + $topHeight) > offset.top) {
          if ($window.scrollTop() + $topHeight + $flotingbar.height() + 50 < $offsetHeight.top + $scrolling) {
            $flotingbar.stop().animate ({
              marginTop: ($window.scrollTop() - offset.top) + $topHeight,
            });
          }
          else {
            $flotingbar.stop().animate ({
              marginTop: ($scrolling - $flotingbar.height() - 80),
            });
          }
        }
        else {
          $flotingbar.stop().animate ({
            marginTop: 0,
          });
        }
      }
      else {
        $flotingbar.css('margin-top', 0);
      }
    }
  });

  //Lawrules Account Script
  $('#Login').addClass('active');
  $('#Login .lawyr-btn').on('click', function () {
    $('#Login').slideUp();
    $('#Register').slideDown();
  });
  $('#Register .lawyr-btn').on('click', function () {
    $('#Login').slideDown();
    $('#Register').slideUp();
  });

  //Lawrules Responsive Tabs Script
  $('.woocommerce-tabs').responsiveTabs ({
    collapsible: false,
    animation: 'fade',
    duration: 0,
    active: 0,
  });

  //Lawrules Payment Method Input Script
  $('#diffrent_address:checked').parents('.diffrent-address').children('.shipping-diffrent-address').slideToggle();
  $('#createaccount:checked').parents('.create-account').next('.create-account').slideToggle();
  $('.wc_payment_method input:checked').parents().children('.payment_box').slideToggle();
  $('.wc_payment_method input').on('click', function () {
    $('.wc_payment_method input:not(:checked)').parents().children('.payment_box').slideUp();
    $('.wc_payment_method input:checked').parents().children('.payment_box').slideToggle();
  });

  //Lawrules Back Top Script
  if($('div').hasClass('lawyr-back-top')) {
    var backtop = $('.lawyr-back-top');
    var position = backtop.offset().top;
    $(window).scroll(function() {
      var windowposition = $(window).scrollTop();
      if(windowposition + $(window).height() == $(document).height()) {
        backtop.removeClass('active');
      }
      else if (windowposition > 150) {
        backtop.addClass('active');
      }
      else {
        backtop.removeClass('active');
      }
    });
    $('.lawyr-back-top a').on('click', function () {
      $('body,html').animate ({
        scrollTop: 0
      }, 2000);
      return false;
    });
  }

});