<?php
/*
 * The template for displaying the footer.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
global $post;
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

if ($lawrules_meta) {
  $lawrules_hide_footer  = $lawrules_meta['hide_footer'];
  $lawrules_hide_copyright = $lawrules_meta['hide_copyright'];
  $above_footer_widget = $lawrules_meta['above_footer_widget'];
} else {
  $lawrules_hide_footer = '';
  $lawrules_hide_copyright = '';
  $above_footer_widget = cs_get_option('above_footer_widget');
}
$left_copyright_text = cs_get_option('copyright_text');
$right_copyright_text = cs_get_option('copyright_text_right');

$above_footer_widget = $above_footer_widget ? $above_footer_widget : cs_get_option('above_footer_widget');
if($lawrules_meta && $above_footer_widget != 'default') {
  $above_footer_widget = $lawrules_meta['above_footer_widget'];
} else {
  $above_footer_widget = cs_get_option('above_footer_widget');
}

// Above Footer Widget
if($above_footer_widget === 'show') {
  if (is_active_sidebar( 'above-footer' )) {
    dynamic_sidebar( 'above-footer' );
  } 
}
?>
</div><!-- Main Wrap Inner -->
<?php

if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4') || $left_copyright_text || $right_copyright_text) {
?>
<!-- Footer -->
<footer class="lawyr-footer">
  <?php if (!$lawrules_hide_footer) { 
  if (is_active_sidebar('footer-1') || is_active_sidebar('footer-2') || is_active_sidebar('footer-3') || is_active_sidebar('footer-4') ) { ?>
    <div class="footer-wrap">
      <div class="container">
        <?php get_template_part( 'layouts/footer/footer', 'widgets' ); ?>
      </div>
    </div>
  <?php do_action( 'lawrules_after_footer_action' ); // Lawrules Action
  } }
  if(!$lawrules_hide_copyright) { 
  if ($left_copyright_text || $right_copyright_text) {
  $need_copyright = cs_get_option('need_copyright');
  if($need_copyright) { ?>
    <div class="lawyr-copyright">
      <div class="container">
        <?php
          get_template_part( 'layouts/footer/footer', 'copyright' );
        ?>
      </div>
    </div>
  <?php } do_action( 'lawrules_after_copyright_action' ); // Lawrules Action
  } else { ?>
  <div class="lawyr-copyright alt-copyright">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-12 aligncenter">
          <p>&copy; <?php echo esc_html(date('Y')); ?>. <?php esc_html_e('Designed by', 'lawrules') ?> <a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e('VictorThemes', 'lawrules') ?></a></p>
        </div>
      </div>
    </div>
  </div>
  <?php } } ?>
</footer>
<!-- Footer -->
<?php } else {
if(!$lawrules_hide_copyright) { ?>
<footer class="lawyr-footer">
  <div class="lawyr-copyright alt-copyright">
    <div class="container">
      <div class="row align-items-center">
        <div class="col-md-12 aligncenter">
          <p>&copy; <?php echo esc_html(date('Y')); ?>. <?php esc_html_e('Designed by', 'lawrules') ?> <a href="<?php echo esc_url(home_url( '/' )); ?>"><?php esc_html_e('VictorThemes', 'lawrules') ?></a></p>
        </div>
      </div>
    </div>
  </div>
</footer>
<?php	} } // Hide Footer Metabox ?>
</div><!-- Main Wrap -->
<?php
$theme_preloader = cs_get_option('theme_preloader');
$theme_btotop = cs_get_option('theme_btotop');
if($theme_btotop) {
?>
<!-- Lawrules Back Top -->
<div class="lawyr-back-top">
  <a href="javascript:void(0);"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
</div>
<?php }
if ($theme_preloader) { ?>
<!-- Lawrules Preloader -->
<div class="lawyr-preloader">
  <div class="loader-wrap">
    <div class="loader">
      <div class="loader-inner ball-triangle-path"></div>
    </div>
  </div>
</div>
<?php }
wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
<?php
