<?php
/*
 * The header for our theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<?php
// if the `wp_site_icon` function does not exist (ie we're on < WP 4.3)
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
    <link rel="shortcut icon" href="<?php echo esc_url(LAWRULES_IMAGES); ?>/favicon.png" />
<?php }
$lawrules_all_element_color  = cs_get_customize_option( 'all_element_colors' );
?>
<meta name="msapplication-TileColor" content="<?php echo esc_attr($lawrules_all_element_color); ?>">
<meta name="theme-color" content="<?php echo esc_attr($lawrules_all_element_color); ?>">

<link rel="profile" href="//gmpg.org/xfn/11">

<?php

// Metabox
global $post;
$lawrules_id    = ( isset( $post ) ) ? $post->ID : false;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_id    = ( ! is_tag() && ! is_archive() && ! is_search() && ! is_404() && ! is_singular('testimonial') ) ? $lawrules_id : false;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

// Header Style
$lawrules_sticky_header      = cs_get_option('sticky_header');
$lawrules_sticky_footer      = cs_get_option('sticky_footer');

if ($lawrules_meta) {
  $lawrules_header_design_actual  = $lawrules_meta['select_header_design'];
  $one_page_menu = $lawrules_meta['one_page_menu'];
  $need_content = $lawrules_meta['need_content'];
  $header_content = $lawrules_meta['header_content'];
  $header_content_two = $lawrules_meta['header_content_two'];
} else {
  $lawrules_header_design_actual  = cs_get_option('select_header_design');
  $one_page_menu = '';
  $need_content = cs_get_option('need_content');
  $header_content = cs_get_option('header_content');
  $header_content_two = cs_get_option('header_content_two');
}

// Header Style
if($lawrules_meta && $lawrules_header_design_actual != 'default') {
  $lawrules_header_design_actual = $lawrules_meta['select_header_design'];
  $need_content = $lawrules_meta['need_content'];
  $header_content = $lawrules_meta['header_content'];
  $header_content_two = $lawrules_meta['header_content_two'];
} else {
  $lawrules_header_design_actual  = cs_get_option('select_header_design');
  $need_content = cs_get_option('need_content');
  $header_content = cs_get_option('header_content');
  $header_content_two = cs_get_option('header_content_two');
}

if($lawrules_header_design_actual === 'style_two') {
  $header_style_class = ' header-style-two';
} else {
  $header_style_class = ' header-style-one';
}

if($one_page_menu) {
  $parallax_menu_class = ' smooth-scroll';
} else {
  $parallax_menu_class = '';
}
if ($lawrules_sticky_footer) {
  $footer_class = ' lawyr-sticky-footer';
} else {
  $footer_class = '';
}
if ($lawrules_sticky_header) {
  $header_class = ' lawyr-sticky';
} else {
  $header_class = '';
}
// fullwidth Topbar
if ($lawrules_meta) {
  $hide_header  = $lawrules_meta['hide_header'];
} else {
  $hide_header = '';
}
wp_head();


// Dynamic styles include
do_action('lawrules-dynamic-styles');
?>
</head>
<body <?php body_class(); ?>>
<!-- Full Page -->
<!-- Lawrules Main Wrap -->
<div class="lawyr-main-wrap <?php echo esc_attr($footer_class.$header_style_class); ?>">
  <!-- Lawrules Main Wrap Inner -->
  <div class="main-wrap-inner">
  <?php

  get_template_part( 'layouts/header/top', 'bar' );

  if(!$hide_header) {
  // Header
  do_action( 'lawrules_before_header_action' ); // Lawrules Action
  if($lawrules_header_design_actual === 'style_two') { ?>
    <header class="lawyr-header <?php echo esc_attr($parallax_menu_class . $header_class); ?>">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-lg-4 col-sm-8 col-9 order-lg-2">
            <?php get_template_part( 'layouts/header/logo' ); ?>
          </div>
          <div class="col-lg-4 order-lg-1 hide-link">
            <?php if($need_content) { echo do_shortcode($header_content); } ?>
          </div>
          <div class="col-lg-4 col-sm-4 col-3 order-lg-3 textright hide-link">
            <?php if($need_content) { echo do_shortcode($header_content_two); } ?>
          </div>
        </div>
        <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
      </div>
    </header>
  <?php } else { ?>
    <header class="lawyr-header <?php echo esc_attr($parallax_menu_class . $header_class); ?>">
      <div class="container">
        <div class="row align-items-center">
          <div class="col-lg-4 col-9">
            <?php get_template_part( 'layouts/header/logo' ); ?>
          </div>
          <div class="col-lg-8 col-3">
            <div class="header-link">
              <?php if($need_content) { echo do_shortcode($header_content); } ?>
            </div>
          </div>
        </div>
      </div>
      <div class="lawyr-navigation-wrap">
        <div class="container">
          <div class="row align-items-center">
            <div class="col-md-9">
              <?php get_template_part( 'layouts/header/menu', 'bar' ); ?>
            </div>
            <div class="col-md-3 hide-link">
              <?php if($need_content) { echo do_shortcode($header_content_two); } ?>
            </div>
          </div>
        </div>
      </div>
    </header>
  <?php }
    do_action( 'lawrules_after_header_action' ); // Lawrules Action ?>
  <?php }
  // Title Area
  $lawrules_need_title_bar = cs_get_option('need_title_bar');
  // LawrulesWP
  if ($lawrules_need_title_bar) {
    if(!is_404()) {
      get_template_part( 'layouts/header/title', 'bar' );
    }
  }
