<?php
/*
 * All CSS and JS files are enqueued from this file
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

/**
 * Enqueue Files for FrontEnd
 */
if ( ! function_exists( 'lawrules_vt_scripts_styles' ) ) {
  function lawrules_vt_scripts_styles() {

    // Styles
    wp_enqueue_style( 'lawrules-google-font', '//fonts.googleapis.com/css?family=Fira+Sans%3Anormal%26subset%3D%7COpen+Sans%3A%26subset%3D%7COpen+Sans%3A%26subset%3D%7CFira+Sans%3A%26subset%3D%7COpen+Sans%3A%26subset%3D%7COpen+Sans%3A%26subset%3D' );
    wp_enqueue_style( 'font-awesome', LAWRULES_CSS . '/font-awesome.min.css', array(), '4.7.0', 'all' );
    wp_enqueue_style( 'animate', LAWRULES_CSS .'/animate.min.css', array(), '3.6.0', 'all' );
    wp_enqueue_style( 'themify-icons', LAWRULES_CSS .'/themify-icons.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'flagstrap', LAWRULES_CSS .'/flagstrap.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'linea', LAWRULES_CSS .'/linea.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'loaders', LAWRULES_CSS .'/loaders.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'nice-select', LAWRULES_CSS .'/nice-select.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'owl-carousel', LAWRULES_CSS .'/owl.carousel.min.css', array(), '2.3.4', 'all' );
    wp_enqueue_style( 'meanmenu', LAWRULES_CSS .'/meanmenu.css', array(), '2.0.7', 'all' );
    wp_enqueue_style( 'bootstrap', LAWRULES_CSS .'/bootstrap.min.css', array(), '4.3.1', 'all' );
    wp_enqueue_style( 'lawrules-styles', LAWRULES_CSS .'/styles.css', array(), LAWRULES_VERSION, 'all' );

    // Scripts
    wp_enqueue_script( 'popper', LAWRULES_SCRIPTS . '/popper.min.js', array( 'jquery' ), LAWRULES_VERSION, true );
    wp_enqueue_script( 'bootstrap', LAWRULES_SCRIPTS . '/bootstrap.min.js', array( 'jquery' ), '4.3.1', true );
    wp_enqueue_script( 'html5shiv', LAWRULES_SCRIPTS . '/html5shiv.min.js', array( 'jquery' ), '3.7.0', true );
    wp_enqueue_script( 'jarallax', LAWRULES_SCRIPTS . '/jarallax.min.js', array( 'jquery' ), '1.10.5', true );
    wp_enqueue_script( 'flagstrap', LAWRULES_SCRIPTS . '/flagstrap.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'jquery-countdown', LAWRULES_SCRIPTS . '/jquery-countdown.min.js', array( 'jquery' ), '1.6.2', true );
    wp_enqueue_script( 'respond', LAWRULES_SCRIPTS . '/respond.min.js', array( 'jquery' ), '1.4.2', true );
    wp_enqueue_script( 'placeholders', LAWRULES_SCRIPTS . '/placeholders.min.js', array( 'jquery' ), '4.0.1', true );
    wp_enqueue_script( 'jquery-sticky', LAWRULES_SCRIPTS . '/jquery.sticky.min.js', array( 'jquery' ), '1.0.5', true );
    wp_enqueue_script( 'jquery-responsivetabs', LAWRULES_SCRIPTS . '/jquery.responsiveTabs.min.js', array( 'jquery' ), '1.4.0', true );
    wp_enqueue_script( 'theia-sticky-sidebar', LAWRULES_SCRIPTS . '/theia-sticky-sidebar.min.js', array( 'jquery' ), '1.5.0', true );
    wp_enqueue_script( 'jquery-nice-select', LAWRULES_SCRIPTS . '/jquery.nice-select.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'jquery-matchheight', LAWRULES_SCRIPTS . '/jquery.matchHeight-min.js', array( 'jquery' ), '0.7.2', true );
    wp_enqueue_script( 'jquery-wow', LAWRULES_SCRIPTS . '/jquery.wow.min.js', array( 'jquery' ), '1.3.0', true );
    wp_enqueue_script( 'waypoints', LAWRULES_SCRIPTS . '/waypoints.min.js', array( 'jquery' ), '2.0.3', true );
    wp_enqueue_script( 'page-scroll', LAWRULES_SCRIPTS . '/page-scroll.min.js', array( 'jquery' ), '1.5.8', true );
    wp_enqueue_script( 'owl-carousel', LAWRULES_SCRIPTS . '/owl.carousel.min.js', array( 'jquery' ), '2.3.4', true );
    wp_enqueue_script( 'jquery-counterup', LAWRULES_SCRIPTS . '/jquery.counterup.min.js', array( 'jquery' ), '1.0', true );
    wp_enqueue_script( 'loaders', LAWRULES_SCRIPTS . '/loaders.min.js', array( 'jquery' ), LAWRULES_VERSION, true );
    wp_enqueue_script( 'jquery-meanmenu', LAWRULES_SCRIPTS . '/jquery.meanmenu.js', array( 'jquery' ), '2.0.8', true );
    wp_enqueue_script( 'lawrules-scripts', LAWRULES_SCRIPTS . '/scripts.js', array( 'jquery' ), LAWRULES_VERSION, true );

    // Comments
    wp_enqueue_script( 'jquery-validate', LAWRULES_SCRIPTS . '/jquery.validate.min.js', array( 'jquery' ), '1.9.0', true );
    wp_add_inline_script( 'jquery-validate', 'jQuery(document).ready(function($) {$("#commentform").validate({rules: {author: {required: true,minlength: 2},email: {required: true,email: true},comment: {required: true,minlength: 10}}});});' );

    // Responsive
    wp_enqueue_style( 'lawrules-responsive', LAWRULES_CSS .'/responsive.css', array(), LAWRULES_VERSION, 'all' );

    // Adds support for pages with threaded comments
    if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
      wp_enqueue_script( 'comment-reply' );
    }

  }
  add_action( 'wp_enqueue_scripts', 'lawrules_vt_scripts_styles' );
}

/**
 * Enqueue Files for BackEnd
 */
if ( ! function_exists( 'lawrules_vt_admin_scripts_styles' ) ) {
  function lawrules_vt_admin_scripts_styles() {

    wp_enqueue_style( 'lawrules-admin-main', LAWRULES_CSS . '/admin-styles.css', true );
    wp_enqueue_script( 'lawrules-admin-scripts', LAWRULES_SCRIPTS . '/admin-scripts.js', true );
    wp_enqueue_style( 'themify-icons', LAWRULES_CSS .'/themify-icons.min.css', array(), LAWRULES_VERSION, 'all' );
    wp_enqueue_style( 'linea', LAWRULES_CSS .'/linea.min.css', array(), LAWRULES_VERSION, 'all' );
  }
  add_action( 'admin_enqueue_scripts', 'lawrules_vt_admin_scripts_styles' );
}

/* Enqueue All Styles */
if ( ! function_exists( 'lawrules_vt_wp_enqueue_styles' ) ) {
  function lawrules_vt_wp_enqueue_styles() {
    lawrules_vt_google_fonts();
    lawrules_custom_google_fonts();
  }
  add_action( 'wp_enqueue_scripts', 'lawrules_vt_wp_enqueue_styles' );
}

/**
 * Apply theme's stylesheet to the visual editor.
 *
 * @uses add_editor_style() Links a stylesheet to visual editor
 * @uses get_stylesheet_uri() Returns URI of theme stylesheet
 */
function lawrules_add_editor_styles() {
  add_editor_style( get_stylesheet_uri() );
}
add_action( 'init', 'lawrules_add_editor_styles' );
