<?php
/*
 * All customizer related options for Lawrules theme.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

// Control core classes for avoid errors
if( class_exists( 'CSF' ) ) {

  // Set a unique slug-like ID
  $prefix = 'lawrules_csf_customizer';

  // Create customize options
  CSF::createCustomizeOptions( $prefix );

  // Primary Color
  CSF::createSection( $prefix, array(
    'name'        => 'elemets_color_section',
	  'title'       => esc_html__('Primary Color', 'lawrules'),
  	'priority' 		=> 1,
    'fields' => array(

      array(
	      'id'      => 'all_element_colors',
	      'type'    => 'color',
	      'title' => esc_html__('Elements Color', 'lawrules'),
				'desc'    => esc_html__('This is theme primary color, means it\'ll affect all elements that have default color of our theme primary color.', 'lawrules'),
	      'default' => '#6c949e',
	    ),

    )
  ) );

  // Secondary Color
  CSF::createSection( $prefix, array(
    'name'        => 'elemets_sec_color_section',
	  'title'       => esc_html__('Secondary Color', 'lawrules'),
  	'priority' 		=> 2,
    'fields' => array(

      array(
	      'id'      => 'all_element_secondary_colors',
	      'type'    => 'color',
	      'title' => esc_html__('Elements Secondary Color', 'lawrules'),
				'desc'    => esc_html__('This is theme secondary color, means it\'ll affect all elements that have default color of our theme secondary color.', 'lawrules'),
	      'default' => '#0f0e0f',
	    ),

    )
  ) );

  // Top Bar Color
  CSF::createSection( $prefix, array(
    'id'        => 'topbar_color_section',
    'title'       => esc_html__('01. Top Bar Colors', 'lawrules'),
    'priority' => 3,
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Top Bar Style One', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_text_color',
        'type'      => 'color',
        'title'     => esc_html__('Text Color', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_bg_color',
        'type'      => 'color',
        'title'     => esc_html__('Background Color', 'lawrules'),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Top Bar Style Two', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_text_color_two',
        'type'      => 'color',
        'title'     => esc_html__('Text Color', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_link_color_two',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
      array(
        'id'        => 'topbar_bg_color_two',
        'type'      => 'color',
        'title'     => esc_html__('Background Color', 'lawrules'),
      ),

    )
  ) );

  // Header Color
  CSF::createSection( $prefix, array(
	  'id'        => 'header_color_section',
	  'title'       => esc_html__('01. Header Colors', 'lawrules'),
	  'priority' => 4,
	) );

	// Normal Header
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'header_color_section',
    'name'        => 'normal_header_section',
	  'title'       => esc_html__('Normal Header', 'lawrules'),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Navigation Bar Colors', 'lawrules'),
      ),
      array(
        'id'        => 'menubar_color',
        'type'      => 'color',
        'title'     => esc_html__('Background Color', 'lawrules'),
      ),
      array(
        'id'        => 'header_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
	    array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Sub-Menu Colors', 'lawrules'),
      ),
      array(
        'id'        => 'submenu_bg_color',
        'type'      => 'color',
        'title'     => esc_html__('Background Color', 'lawrules'),
      ),
      array(
        'id'        => 'submenu_border_color',
        'type'      => 'color',
        'title'     => esc_html__('Border Color', 'lawrules'),
      ),
	    array(
        'id'        => 'submenu_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Other Header Colors', 'lawrules'),
      ),
      array(
        'id'        => 'header_bg_color',
        'type'      => 'color',
        'title'     => esc_html__('Background Color', 'lawrules'),
      ),
      array(
        'id'        => 'header_text_color',
        'type'      => 'color',
        'title'     => esc_html__('Text Color', 'lawrules'),
      ),
      array(
        'id'        => 'header_border_color',
        'type'      => 'color',
        'title'     => esc_html__('Border Color', 'lawrules'),
      ),
      array(
        'id'        => 'right_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
      array(
        'id'        => 'header_icon_color',
        'type'      => 'color',
        'title'     => esc_html__('Icon Color', 'lawrules'),
      ),

    )
  ) );

  // Mobile Menu
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'header_color_section',
    'name'        => 'mobile_menu_section',
	  'title'       => esc_html__('Mobile Menu', 'lawrules'),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Mobile Menu Colors', 'lawrules'),
      ),
      array(
        'id'        => 'mobile_menu_color',
        'type'      => 'color_group',
        'title' => esc_html__('Menu Colors', 'lawrules'),
        'options'   => array(
          'toggle_color' => 'Menu Toggle Color',
          'bg_color' => 'Menu Background Color',
          'border_color' => 'Border Color',
        )
      ),      
      array(
        'id'        => 'mobile_menu_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Link Color', 'lawrules'),
      ),
	    array(
        'id'        => 'mobile_menu_expand_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Menu Expand Color', 'lawrules'),
      ),
      array(
        'id'        => 'mobile_menu_expand_bg_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Menu Expand Background Color', 'lawrules'),
      ),	    

    )
  ) );

  // Title Bar
  CSF::createSection( $prefix, array(
    'name'        => 'titlebar_section',
	  'title'       => esc_html__('02. Title Bar Colors', 'lawrules'),
	  'priority' => 6,
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Title Colors', 'lawrules'),
      ),
      array(
	      'id'        => 'titlebar_title_color',
	      'type'      => 'color',
	      'title' => esc_html__('Title Color', 'lawrules'),
	    ),

    )
  ) );

  // Content
  CSF::createSection( $prefix, array(
	  'id'        => 'content_section',
	  'title'       => esc_html__('03. Content Colors', 'lawrules'),
	  'desc' => esc_html__('This is all about content area text and heading colors.', 'lawrules'),
	  'priority' => 7,
	) );

	// Content Color
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'content_section',
    'name'          => 'content_text_section',
    'title'         => esc_html__('Content Text', 'lawrules'),
    'fields' => array(

      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Body Content', 'lawrules'),
      ),
      array(
	      'id'      => 'body_color',
	      'type'    => 'color',
	      'title'   => esc_html__('Body & Content Color', 'lawrules'),
	    ),
      array(
        'id'        => 'body_links_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Body Links Color', 'lawrules'),
      ),
      array(
        'type'    => 'submessage',
        'style'   => 'info',
        'content' => esc_html__('Sidebar Content', 'lawrules'),
      ),
      array(
	      'id'      => 'sidebar_content_color',
	      'type'    => 'color',
	      'title'   => esc_html__('Sidebar Content Color', 'lawrules'),
	    ),
      array(
        'id'        => 'sidebar_links_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Sidebar Links Color', 'lawrules'),
      ),    

    )
  ) );

  // Headings Color
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'content_section',
    'name'          => 'content_heading_section',
    'title'         => esc_html__('Headings', 'lawrules'),
    'fields' => array(

      array(
	      'id'        => 'content_heading_color',
	      'type'      => 'color_group',
	      'title' => esc_html__('Headings', 'lawrules'),
	      'options'   => array(
	        'content_heading_color' => 'Content Heading',
	        'sidebar_heading_color' => 'Sidebar Heading',
	      )
	    ),   

    )
  ) );

  // Footer
  CSF::createSection( $prefix, array(
	  'id'        => 'footer_section',
	  'title'       => esc_html__('04. Footer Colors', 'lawrules'),
	  'desc' => esc_html__('This is all about footer settings. Make sure you\'ve enabled your needed section at : SaaSpot > Theme Options > Footer', 'lawrules'),
	  'priority' => 8,
	) );

  // Footer Widget Colors
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'footer_section',
    'name'        => 'footer_widget_section',
	  'title'       => esc_html__('Widget Block', 'lawrules'),
    'fields' => array(

      array(
	      'id'        => 'footer_colors',
	      'type'      => 'color_group',
	      'title' => esc_html__('Footer Colors', 'lawrules'),
	      'options'   => array(
	        'footer_bg_color' => 'Background Color',
	        'footer_heading_color' => 'Heading Color',
	        'footer_text_color' => 'Content Color',
	      )
	    ),
	    array(
        'id'        => 'footer_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Footer Link Color', 'lawrules'),
      ),

    )
  ) );

  // Footer Copyright Colors
  CSF::createSection( $prefix, array(
  	'parent'   		=> 'footer_section',
    'name'        => 'copyright_section',
	  'title'       => esc_html__('Copyright Block', 'lawrules'),
    'fields' => array(

      array(
	      'id'        => 'copyright_colors',
	      'type'      => 'color_group',
	      'title' => esc_html__('Copyright Colors', 'lawrules'),
	      'options'   => array(
	        'copyright_bg_color' => 'Background Color',
	        'copyright_text_color' => 'Content Color',
	      )
	    ),
	    array(
        'id'        => 'copyright_link_color',
        'type'      => 'link_color',
        'title'     => esc_html__('Copyright Link Color', 'lawrules'),
      ),

    )
  ) );

}

