<?php
/*
 * The main template file.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
get_header();

// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else { $lawrules_content_padding = ''; }
// Padding - Metabox
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
	$lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
	$lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
	$lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
	if ($lawrules_content_padding === 'padding-custom') {
		$lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
	} else {
		$lawrules_custom_padding = '';
	}
} else {
	$lawrules_custom_padding = '';
}

// Theme Options
$lawrules_sidebar_position = cs_get_option('blog_sidebar_position');
$lawrules_blog_widget = cs_get_option('blog_widget');
$blog_style = cs_get_option('blog_style');

if ($lawrules_blog_widget) {
	$widget_select = $lawrules_blog_widget;
} else {
	if (is_active_sidebar('sidebar-1')) {
		$widget_select = 'sidebar-1';
	} else {
		$widget_select = '';
	}
}

// Blog Style 
if($blog_style === 'style-two') {
	$blog_style_cls = ' lawyr-blog-style-two';
} else {
	$blog_style_cls = ' blog-style-four';
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($lawrules_sidebar_position === 'sidebar-hide') {
		$layout_class = ' col-md-12 lawyr-listing-padding';
		$lawrules_sidebar_class = 'hide-sidebar';
	} elseif ($lawrules_sidebar_position === 'sidebar-left') {
		$layout_class = ' lawyr-primary';
		$lawrules_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = ' lawyr-primary';
		$lawrules_sidebar_class = 'right-sidebar';
	}
} else {
	$lawrules_sidebar_position = 'sidebar-hide';
	$layout_class = ' col-md-12 lawyr-listing-padding';
	$lawrules_sidebar_class = 'hide-sidebar';
}
?>
<div class="lawyr-mid-wrap no-space lawyr-post-listing <?php echo esc_attr($lawrules_content_padding .' '. $lawrules_sidebar_class); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="<?php echo esc_attr($blog_style_cls.$layout_class); ?>">
			<?php if($blog_style === 'style-two') { ?>
				<div class="row">
			<?php }
				do_action( 'lawrules_before_blog_listing_action' ); // Lawrules Action 
					if ( have_posts() ) :
						/* Start the Loop */
						while ( have_posts() ) : the_post();
							get_template_part( 'layouts/post/content' );
						endwhile;
					else :
						get_template_part( 'layouts/post/content', 'none' );
					endif;
					lawrules_default_paging_nav();
			    wp_reset_postdata();  // avoid errors further down the page
				do_action( 'lawrules_after_blog_listing_action' ); // Lawrules Action
			if($blog_style === 'style-two') { ?>
				</div>
			<?php } ?>
			</div><!-- row -->
			<?php if ($lawrules_sidebar_position !== 'sidebar-hide') {	get_sidebar(); } ?>
		</div>
	</div>
</div>
<?php
get_footer();
