<?php
/*
 * Admin Styles for Sensation Theme
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

// Category
global $post;
$practice_area_style = cs_get_option('practice_area_style');
$lawrules_practice_area_aqr = cs_get_option('practice_area_aqr');
$lawrules_read_more_text = cs_get_option('practice_area_read_more');
$lawrules_read_text = $lawrules_read_more_text ? $lawrules_read_more_text : esc_html__( 'Read More', 'lawrules' );
// Featured Image
$lawrules_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$lawrules_large_image = isset($lawrules_large_image[0]) ? $lawrules_large_image[0] : '';

$area_icon_image = get_post_meta( get_the_ID(), 'area_icon_image', true );
if($area_icon_image) {
  $area_icon = $area_icon_image['area_icon_img']['url'];
} else {
  $area_icon = '';
}

if ($lawrules_practice_area_aqr) {
  $lawrules_featured_img = $lawrules_large_image;
} else {
  if($practice_area_style === 'four') {
    if(class_exists('Aq_Resize')) {
      $lawrules_practice_area_img = aq_resize( $lawrules_large_image, '370', '280', true );
    } else {$lawrules_practice_area_img = $lawrules_large_image;}
    $lawrules_featured_img = ( $lawrules_practice_area_img ) ? $lawrules_practice_area_img : esc_url(LAWRULES_IMAGES) . '/holders/370x280.png';
  } elseif($practice_area_style === 'two') {
    if(class_exists('Aq_Resize')) {
      $lawrules_practice_area_img = aq_resize( $lawrules_large_image, '355', '230', true );
    } else {$lawrules_practice_area_img = $lawrules_large_image;}
    $lawrules_featured_img = ( $lawrules_practice_area_img ) ? $lawrules_practice_area_img : esc_url(LAWRULES_IMAGES) . '/holders/355x230.png';
  } elseif($practice_area_style === 'three') {
    if(class_exists('Aq_Resize')) {
      $lawrules_practice_area_img = aq_resize( $lawrules_large_image, '370', '320', true );
    } else {$lawrules_practice_area_img = $lawrules_large_image;}
    $lawrules_featured_img = ( $lawrules_practice_area_img ) ? $lawrules_practice_area_img : esc_url(LAWRULES_IMAGES) . '/holders/370x320.png';
  } else {
    $lawrules_featured_img = $lawrules_large_image;
  }
}

$practice_area_col = cs_get_option('practice_area_col');
if ($practice_area_col === 'four') {
  $column_class = 'col-lg-3 col-md-4 col-sm-6';
} else {
  $column_class = 'col-lg-4 col-md-6';
}

if($practice_area_style === 'four') {
?>
<div class="<?php echo esc_attr($column_class); ?>">
  <div class="practice-item">
    <div class="lawyr-image">
      <img src="<?php echo esc_url($lawrules_featured_img); ?>" alt="<?php the_title_attribute(); ?>">
      <h5 class="practice-title"><?php echo esc_html(get_the_title()); ?></h5>
    </div>
    <a href="<?php echo esc_url( get_permalink() ); ?>" class="stretched-link"></a>
  </div>
</div>
<?php } elseif($practice_area_style === 'three') { 
  $area_excerpt = cs_get_option('practicearea_excerpt'); ?>
<div class="<?php echo esc_attr($column_class); ?>">
  <div class="area-item">
    <?php if($lawrules_large_image) { ?>
      <div class="lawyr-image">
        <a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($lawrules_featured_img); ?>" alt="<?php the_title_attribute(); ?>"></a>
      </div>
    <?php } ?>
    <h4 class="area-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_the_title()); ?></a></h4>
    <?php 
      if ($area_excerpt) {
        $area_excerpt = $area_excerpt;
      } else {
        $area_excerpt = '10';
      }
      echo '<p>';
      lawrules_excerpt($area_excerpt);
      echo '</p>';
    ?>
    <a href="<?php echo esc_url( get_permalink() ); ?>" class="lawyr-link"><?php echo esc_html($lawrules_read_text); ?></a>
  </div>
</div>
<?php } elseif($practice_area_style === 'two') { ?>
<div class="<?php echo esc_attr($column_class); ?>">
  <div class="area-item">
    <?php if($lawrules_large_image) { ?>
      <div class="lawyr-image">
        <a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($lawrules_featured_img); ?>" alt="<?php the_title_attribute(); ?>"></a>
      </div>
    <?php } ?>
    <h5 class="area-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html(get_the_title()); ?></a></h5>
  </div>
</div>
<?php } else { 
  if($area_icon) {
    $area_icon_img = $area_icon;
  } else {
    $area_icon_img = '';
  }
?>
<div class="<?php echo esc_attr($column_class); ?> wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.5s" data-wow-offset="5">
  <a href="<?php echo esc_url( get_permalink() ); ?>" class="area-item">
    <span class="lawyr-icon">
      <img src="<?php echo esc_url($area_icon_img); ?>" alt="<?php the_title_attribute(); ?>" width="52">
    </span>
    <p><?php echo esc_html(get_the_title()); ?></p>
  </a>
</div>  
<?php }
