<?php
/**
 * Single Post.
 */
// Metabox
global $post;
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_meta  = get_post_meta( $lawrules_id, 'post_type_metabox', true );

$lawrules_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$lawrules_large_image = isset($lawrules_large_image[0]) ? $lawrules_large_image[0] : '';

$date_format = cs_get_option('blog_date_format');
$date_format_actual = $date_format ? $date_format : '';
// Single Theme Option
$lawrules_metas_hide = (array) cs_get_option( 'theme_single_metas_hide' );

if($lawrules_large_image) {
  $img_class = '';
} else {
  $img_class = ' no-img';
}

$theme_blog_home = cs_get_option('theme_blog_home');
if($theme_blog_home) {
  $blog_link = $theme_blog_home;
} else {
  $blog_link = get_permalink( get_option( 'page_for_posts' ) );
}

$cat_list = get_the_category();
$tag_list = get_the_tags();
?>
<div id="post-<?php the_ID(); ?>" <?php post_class('lawyr-blog-post'); ?>>
	<div class="blog-detail-wrap <?php echo esc_attr($img_class); ?>">
    <?php do_action( 'lawrules_before_single_content_action' ); // Lawrules Action ?>
      <?php if ( (!in_array( 'date', $lawrules_metas_hide )) || (!in_array( 'category', $lawrules_metas_hide )) ) { ?>
      <div class="blog-date">
        <?php
          if ( !in_array( 'category', $lawrules_metas_hide ) ) {
            if (has_category()){
              echo '<span>';
              echo the_category(', ');
              echo '</span>';
            }
          }
          if ( !in_array( 'date', $lawrules_metas_hide ) ) {
            echo '<span>'.esc_html(get_the_date($date_format_actual)).'</span>';
          } ?>
      </div>
	    <?php }
	    if ($lawrules_large_image) { ?>
	      <div class="blog-image"><img src="<?php echo esc_url($lawrules_large_image); ?>" alt="<?php the_title_attribute(); ?>"></div>
	    <?php }
        the_content();
        echo lawrules_wp_link_pages();
      ?>
      <!-- Content -->
      <div class="blog-meta">
        <div class="row align-items-center">
          <div class="col-sm-6">
            <?php if ( function_exists( 'lawrules_post_single_share_option' ) && !in_array( 'share', $lawrules_metas_hide ) ) { echo lawrules_post_single_share_option(); } ?>
          </div>
          <div class="col-sm-6">
            <?php if ( !in_array( 'comments', $lawrules_metas_hide ) ) {
              if (get_comments_number()!=0) { ?>
                <div class="blog-comments"><i class="fa fa-comment-o" aria-hidden="true"></i><?php comments_popup_link( esc_html__( '0', 'lawrules' ), esc_html__( '1 Comment', 'lawrules' ), esc_html__( '% Comments', 'lawrules' ), '', '' ); ?></div>
            <?php } } ?>
          </div>
          <?php if (!in_array( 'tag', $lawrules_metas_hide ) ) {
            if($tag_list) { ?>
            <div class="lawyr-blog-tags">
              <?php echo the_tags('', ' ', ''); ?>
            </div>
            <?php }
          } ?>
        </div>
      </div>
  </div>
	<!-- Author Info -->
	<?php	if( !in_array( 'author', $lawrules_metas_hide ) ) {
    if( function_exists( 'lawrules_author_info' ) ) {
      echo lawrules_author_info();
    }
  }
	// Related Articles
	$single_related_post = cs_get_option('single_related_post');
	$single_related_title = cs_get_option('single_related_title');
	$single_related_limit = cs_get_option('single_related_limit');
	$single_related_title = $single_related_title ? $single_related_title : esc_html__( 'Related Posts', 'lawrules' );
	$single_related_limit = $single_related_limit ? $single_related_limit : '2';

	$date_format = cs_get_option('blog_date_format');
	$date_format_actual = $date_format ? $date_format : '';

	if(!$single_related_post) {} else {
	$related = get_posts( array( 'category__in' => wp_get_post_categories($post->ID), 'numberposts' => $single_related_limit, 'post__not_in' => array($post->ID) ) );
	if ($related) { ?>
	<div class="releated-post blog-style-three">
    <h3 class="releated-title"><?php echo esc_html($single_related_title); ?></h3>
    <div class="row">

    <?php do_action( 'lawrules_before_related_post_action' ); // Lawrules Action
		if( $related ) foreach( $related as $post ) {
			setup_postdata($post);
	    $related_large_image = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
	    $related_large_image = isset($related_large_image[0]) ? $related_large_image[0] : '';

	    if(class_exists('Aq_Resize')) {
				$blog_img = aq_resize( $related_large_image, '270', '210', true );
		   } else {$blog_img = $related_large_image;}
			$featured_img = ( $blog_img ) ? $blog_img : $related_large_image;
			?>
			<div class="col-md-4 col-sm-6">
	      <div class="blog-item">
		      <?php if ($related_large_image) { ?>
		        <div class="lawyr-image"><a href="<?php echo esc_url(get_permalink()); ?>"><img src="<?php echo esc_url($featured_img); ?>" alt="<?php the_title_attribute(); ?>"></a></div>
		      <?php }
	        if ( (!in_array( 'date', $lawrules_metas_hide )) || (!in_array( 'category', $lawrules_metas_hide )) ) { ?>
					  <div class="blog-date">
					    <?php
					    	if ( !in_array( 'category', $lawrules_metas_hide ) ) {
						    	if (has_category()){
						    		echo '<span>';
						    		echo the_category(', ');
						    		echo '</span>';
					    		}
				    		}
				    		if ( !in_array( 'date', $lawrules_metas_hide ) ) {
					    	  echo '<span>'.esc_html(get_the_date($date_format_actual)).'</span>';
					    	} ?>
					  </div>
				  <?php } ?>
	        <h4 class="blog-title"><a href="<?php echo esc_url(get_permalink()); ?>"><?php echo get_the_title(); ?></a></h4>
	      </div>
	    </div>

		<?php	} wp_reset_postdata();
    do_action( 'lawrules_after_related_post_action' ); // Lawrules Action ?>
    </div>
	</div>
	<?php	} }
    // Navigation
    $older_post = cs_get_option('older_post');
    $newer_post = cs_get_option('newer_post');
    $older_post = $older_post ? $older_post : esc_html__( 'Previous Post', 'lawrules' );
    $newer_post = $newer_post ? $newer_post : esc_html__( 'Next Post', 'lawrules' );
    $prev_post = get_adjacent_post(false, '', true);
    $next_post = get_adjacent_post(false, '', false);

    if($prev_post || $next_post) { ?>
    <div class="lawyr-more-posts">
      <div class="row align-items-center">
        <?php echo'<div class="col-5">';
        if($prev_post) {
        	$nav_large_image = wp_get_attachment_image_src( get_post_thumbnail_id($prev_post->ID), 'fullsize', false, '' );
    			$nav_large_image = isset($nav_large_image[0]) ? $nav_large_image[0] : '';
    			if(class_exists('Aq_Resize')) {
						$blog_imgg = aq_resize( $nav_large_image, '100', '80', true );
				   } else {$blog_imgg = $nav_large_image;}
					$nav_featured_img = ( $blog_imgg ) ? $blog_imgg : $nav_large_image;
          $nav_featured_img = $nav_featured_img ? '<span class="lawyr-image"><img src="'.esc_url($nav_featured_img).'" alt="'.esc_attr($prev_post->post_title).'"></span>' : '';
            echo'<a href="' . esc_url(get_permalink($prev_post->ID)) . '" class="more-post-link">
            			'.$nav_featured_img.'
                <span class="more-inner-link"><i class="fa fa-angle-left" aria-hidden="true"></i>'.esc_html($older_post).'</span>
              </a>';
         }
         echo '</div>';
          echo '<div class="col-2 text-center">
              <a href="'.esc_url($blog_link).'" class="post-grid-view">
                <span class="grid-icon"></span>
                <span class="grid-icon"></span>
              </a>
            </div><div class="col-5 textright">';
        if($next_post) {
        	$nav_large_image = wp_get_attachment_image_src( get_post_thumbnail_id($next_post->ID), 'fullsize', false, '' );
    			$nav_large_image = isset($nav_large_image[0]) ? $nav_large_image[0] : '';
    			if(class_exists('Aq_Resize')) {
						$blog_imgg = aq_resize( $nav_large_image, '100', '80', true );
				   } else {$blog_imgg = $nav_large_image;}
					$nav_featured_img = ( $blog_imgg ) ? $blog_imgg : $nav_large_image;
          $nav_featured_img = $nav_featured_img ? '<span class="lawyr-image"><img src="'.esc_url($nav_featured_img).'" alt="'.esc_attr($next_post->post_title).'"></span>' : '';
          echo'<a href="'. esc_url(get_permalink($next_post->ID)) .'" class="more-post-link">
                <span class="more-inner-link">'.esc_html($newer_post).'<i class="fa fa-angle-right" aria-hidden="true"></i></span>
                '.$nav_featured_img.'
              </a>';
        }
        echo '</div>';
        ?>
      </div>
    </div>
    <?php }
    do_action( 'lawrules_after_single_content_action' ); // Lawrules Action ?>
</div><!-- #post-## -->
<?php
