<?php
/**
 * Template part for displaying posts.
 */
// Metabox
global $post;
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_meta  = get_post_meta( $lawrules_id, 'post_type_metabox', true );

$lawrules_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$lawrules_large_image = isset($lawrules_large_image[0]) ? $lawrules_large_image[0] : '';

$lawrules_metas_hide = (array) cs_get_option( 'theme_metas_hide' );
$date_format = cs_get_option('blog_date_format');
$lawrules_read_more_text = cs_get_option('read_more_text');
$author_by_text = cs_get_option('author_by_text');
$author_by_text = $author_by_text ? $author_by_text : esc_html__('Posted by ', 'lawrules');
$lawrules_read_text = $lawrules_read_more_text ? $lawrules_read_more_text : esc_html__( 'Read More', 'lawrules' );
$date_format_actual = $date_format ? $date_format : '';

$blog_style = cs_get_option('blog_style');
$blog_column = cs_get_option('blog_listing_column');

// Blog Column
if($blog_column === 'four') {
	$col_cls = ' col-lg-3 col-md-4 col-sm-6';
} elseif($blog_column === 'three') {
	$col_cls = ' col-lg-4 col-md-6';
} else {
	$col_cls = ' col-lg-6 col-md-6';
}

if(is_sticky()) {
  $sticky_class = ' sticky';
} else {
  $sticky_class = '';
}
if($lawrules_large_image) {
  $img_class = '';
} else {
  $img_class = ' no-img';
}

if($blog_style === 'style-two') { 
	if(class_exists('Aq_Resize')) {
	  $blog_img = aq_resize( $lawrules_large_image, '362', '239', true );
	} else {$blog_img = $lawrules_large_image;}
?>
	<div class="<?php echo esc_attr($col_cls); ?>">
	  <div id="post-<?php the_ID(); ?>" <?php post_class('blog-item'); ?>>
	    <?php if ($lawrules_large_image) { ?>
			  <div class="lawyr-image">
			    <a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($blog_img); ?>" alt="<?php the_title_attribute(); ?>"></a>
			  </div>
			<?php } ?>
	    <h3 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h3>
	    <?php if ( (!in_array( 'date', $lawrules_metas_hide )) || (!in_array( 'category', $lawrules_metas_hide )) ) { ?>
			  <div class="blog-date">
			    <?php 
			    	if ( !in_array( 'category', $lawrules_metas_hide ) ) {
				    	if (has_category()){
				    		echo '<span>';
				    		echo the_category(', ');
				    		echo '</span>';
			    		} 
		    		}  
		    		if ( !in_array( 'date', $lawrules_metas_hide ) ) {
			    	  echo '<span>'.esc_html(get_the_date($date_format_actual)).'</span>'; 
			    	} ?>
			  </div>
		  <?php }
				$blog_excerpt = cs_get_option('theme_blog_excerpt');
				if ($blog_excerpt) {
					$blog_excerpt = $blog_excerpt;
				} else {
					$blog_excerpt = '55';
				}
				echo '<div class="lawyr-blog-excerpt">';
				lawrules_excerpt($blog_excerpt);
				echo '</div>';
				echo lawrules_wp_link_pages();
			?>
	    <div class="blog-meta">
	      <div class="row align-items-center">
	        <div class="col-6">
	          <a href="<?php echo esc_url( get_permalink() ); ?>" class="lawyr-link"><?php echo esc_html($lawrules_read_text); ?></a>
	        </div>
	        <div class="col-6">
	          <?php if ( !in_array( 'comments', $lawrules_metas_hide ) ) {
				    	if (get_comments_number()!=0) { ?>
				      <div class="blog-comments"><i class="fa fa-comment-o" aria-hidden="true"></i><?php comments_popup_link( esc_html__( '0', 'lawrules' ), esc_html__( '1', 'lawrules' ), esc_html__( '%', 'lawrules' ), '', '' ); ?></div>
				    <?php } } ?>
	        </div>
	      </div>
	    </div>
	  </div>
	</div>
<?php } else { ?>
	<div class="blog-item <?php echo esc_attr($sticky_class.$img_class); ?>">
		<div id="post-<?php the_ID(); ?>" <?php post_class('lawyr-blog-post'); ?>>
		  <h2 class="blog-title"><a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo get_the_title(); ?></a></h2>
		  <?php if ( (!in_array( 'date', $lawrules_metas_hide )) || (!in_array( 'category', $lawrules_metas_hide )) || (!in_array( 'author', $lawrules_metas_hide )) ) { ?>
			  <div class="blog-date">
			    <?php echo esc_html($author_by_text); ?> <span><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"> <?php echo esc_html(get_the_author()); ?></a></span> <?php 
			    	if ( !in_array( 'category', $lawrules_metas_hide ) ) {
				    	if (has_category()){
				    		echo '<span>';
				    		echo the_category(', ');
				    		echo '</span>';
			    		} 
		    		}  
		    		if ( !in_array( 'date', $lawrules_metas_hide ) ) {
			    	  echo '<span>'.esc_html(get_the_date($date_format_actual)).'</span>'; 
			    	} ?>
			  </div>
		  <?php }
		  	if ($lawrules_large_image) { ?>
				  <div class="lawyr-image">
				    <a href="<?php echo esc_url( get_permalink() ); ?>"><img src="<?php echo esc_url($lawrules_large_image); ?>" alt="<?php the_title_attribute(); ?>"></a>
				  </div>
				<?php } 
				$blog_excerpt = cs_get_option('theme_blog_excerpt');
				if ($blog_excerpt) {
					$blog_excerpt = $blog_excerpt;
				} else {
					$blog_excerpt = '55';
				}
				echo '<div class="lawyr-blog-excerpt">';
				lawrules_excerpt($blog_excerpt);
				echo '</div>';
				echo lawrules_wp_link_pages();
			?>
		  <div class="blog-meta">
		    <div class="row align-items-center">
		      <div class="col-6">
		      <a href="<?php echo esc_url( get_permalink() ); ?>" class="lawyr-btn lawyr-ripple lawyr-blue-btn lawyr-small-btn"><?php echo esc_html($lawrules_read_text); ?></a>
		      </div>
		      <div class="col-6">
		      	<?php if ( !in_array( 'comments', $lawrules_metas_hide ) ) {
				    	if (get_comments_number()!=0) { ?>
				      <div class="blog-comments"><i class="fa fa-comment-o" aria-hidden="true"></i><?php comments_popup_link( esc_html__( '0', 'lawrules' ), esc_html__( '1 Comment', 'lawrules' ), esc_html__( '% Comments', 'lawrules' ), '', '' ); ?></div>
				    <?php } } ?>
		      </div>
		    </div>
		  </div>
		</div>
	</div>
<!-- #post-## -->
<?php }
