<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
$lawrules_layout_meta  = get_post_meta( $lawrules_id, 'page_layout_options', true );

if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else {
	$lawrules_content_padding = '';
}
// Padding - Metabox
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
  $lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
  $lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
  $lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
  if ($lawrules_content_padding === 'padding-custom') {
    $lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
  } else {
    $lawrules_custom_padding = '';
  }
} else {
  $lawrules_custom_padding = '';
}

// Page Layout Options
if ($lawrules_layout_meta) {
	$lawrules_page_layout = $lawrules_layout_meta['page_layout'];
	if($lawrules_page_layout === 'left-sidebar' || $lawrules_page_layout === 'right-sidebar') {
		$lawrules_column_class = 'lawyr-primary';
		$lawrules_layout_class = 'container';
	} elseif($lawrules_page_layout === 'full-width') {
    $lawrules_column_class = 'col-md-12';
    $lawrules_layout_class = 'container-fluid';
  } else {
		$lawrules_column_class = 'col-md-12';
		$lawrules_layout_class = 'container';
	}

	// Page Layout Class
	if ($lawrules_page_layout === 'left-sidebar') {
		$lawrules_sidebar_class = 'left-sidebar';
	} elseif ($lawrules_page_layout === 'right-sidebar') {
		$lawrules_sidebar_class = 'right-sidebar';
	} else {
		$lawrules_sidebar_class = 'full-width';
	}
} else {
	$lawrules_page_layout = '';
	$lawrules_column_class = 'col-md-12';
	$lawrules_layout_class = 'container';
	$lawrules_sidebar_class = 'lawyr-full-width';
}

get_header();
?>
<div class="lawyr-mid-wrap lawyr-page-wrap <?php echo esc_attr($lawrules_content_padding .' '. $lawrules_sidebar_class); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
	<div class="<?php echo esc_attr($lawrules_layout_class); ?>">
		<div class="row">
			<div class="<?php echo esc_attr($lawrules_column_class); ?>">
      <?php do_action( 'lawrules_before_content_action' ); // Lawrules Action ?>
				<?php
				while ( have_posts() ) : the_post();
					the_content();
					echo lawrules_wp_link_pages();
					// If comments are open or we have at least one comment, load up the comment template.
					if (comments_open() || get_comments_number()) :
						comments_template();
					endif;
				endwhile;
      do_action( 'lawrules_after_content_action' ); // Lawrules Action ?>
			</div><!-- Content Area -->
			<?php
			// Right Sidebar
			if($lawrules_page_layout === 'left-sidebar' || $lawrules_page_layout === 'right-sidebar') {
				get_sidebar();
			}
			?>
		</div>
	</div>
</div>
<?php
get_footer();
