<?php
/*
 * The sidebar containing the main widget area.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */

$lawrules_blog_widget = cs_get_option('blog_widget');
$lawrules_single_blog_widget = cs_get_option('single_blog_widget');
$lawrules_area_widget = cs_get_option('area_widget');
$lawrules_team_widget = cs_get_option('team_widget');

if (is_page()) {
	// Page Layout Options
	$lawrules_page_layout = get_post_meta( get_the_ID(), 'page_layout_options', true );	
}

$sidebar_type = cs_get_option('sidebar_type');
if ($sidebar_type === 'bar-sticky') {
	$sidebar_class = ' lawyr-sticky-sidebar';
	$float_sidebar_class = '';
} elseif ($sidebar_type === 'bar-float') {
	$sidebar_class = '';
	$float_sidebar_class = ' lawyr-floating-sidebar';
} else {
	$sidebar_class = '';
	$float_sidebar_class = '';
}

if (is_singular('practicearea')) {
	$area_sidebar_type = cs_get_option('area_sidebar_type');
	if ($area_sidebar_type === 'bar-sticky') {
		$sidebar_class = ' lawyr-sticky-sidebar';
		$float_sidebar_class = '';
	} elseif ($area_sidebar_type === 'bar-float') {
		$sidebar_class = '';
		$float_sidebar_class = ' lawyr-floating-sidebar';
	} else {
		$sidebar_class = '';
		$float_sidebar_class = '';
	}
} elseif (is_singular('team')) {
	$team_sidebar_type = cs_get_option('team_sidebar_type');
	if ($team_sidebar_type === 'bar-sticky') {
		$sidebar_class = ' lawyr-sticky-sidebar';
		$float_sidebar_class = '';
	} elseif ($team_sidebar_type === 'bar-float') {
		$sidebar_class = '';
		$float_sidebar_class = ' lawyr-floating-sidebar';
	} else {
		$sidebar_class = '';
		$float_sidebar_class = '';
	}
} elseif (is_single()) {
	$single_sidebar_type = cs_get_option('single_sidebar_type');
	if ($single_sidebar_type === 'bar-sticky') {
		$sidebar_class = ' lawyr-sticky-sidebar';
		$float_sidebar_class = '';
	} elseif ($single_sidebar_type === 'bar-float') {
		$sidebar_class = '';
		$float_sidebar_class = ' lawyr-floating-sidebar';
	} else {
		$sidebar_class = '';
		$float_sidebar_class = '';
	}
}

?>
<div class="lawyr-secondary<?php echo esc_attr($sidebar_class); ?>">
	<div class="<?php echo esc_attr($float_sidebar_class); ?>">
		<?php do_action( 'lawrules_before_sidebar_action' ); // Lawrules Action
		if (is_page() && $lawrules_page_layout['page_sidebar_widget']) {
			if (is_active_sidebar($lawrules_page_layout['page_sidebar_widget'])) {
				dynamic_sidebar($lawrules_page_layout['page_sidebar_widget']);
			}
		} elseif (!is_page() && $lawrules_blog_widget && !is_single()) {
			if (is_active_sidebar($lawrules_blog_widget)) {
				dynamic_sidebar($lawrules_blog_widget);
			}
		} elseif (is_singular('practicearea') && $lawrules_area_widget) {
			if (is_active_sidebar($lawrules_area_widget)) {
				dynamic_sidebar($lawrules_area_widget);
			}
		} elseif (is_singular('team') && $lawrules_team_widget) {
			if (is_active_sidebar($lawrules_team_widget)) {
				dynamic_sidebar($lawrules_team_widget);
			}
		} elseif (is_single() && $lawrules_single_blog_widget) {
			if (is_active_sidebar($lawrules_single_blog_widget)) {
				dynamic_sidebar($lawrules_single_blog_widget);
			}
		} else {
			if (is_active_sidebar('sidebar-1')) {
				dynamic_sidebar( 'sidebar-1' );
			}
		}
		do_action( 'lawrules_after_sidebar_action' ); // Lawrules Action ?>
	</div>
</div><!-- #secondary -->
<?php
