<?php
/*
 * The template for displaying all single practicearea.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
get_header();

// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else {
	$lawrules_content_padding = '';
}
// Padding - Metabox
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
  $lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
  $lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
  $lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
  if ($lawrules_content_padding === 'padding-custom') {
    $lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
    $lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
  } else {
    $lawrules_custom_padding = '';
  }
} else {
  $lawrules_custom_padding = '';
}
// Translation
$noneed_practice_area_post = cs_get_option('noneed_practice_area_post');

// Theme Options
$lawrules_sidebar_position = cs_get_option('area_sidebar_position');
$lawrules_single_blog_widget = cs_get_option('area_widget');
if ($lawrules_single_blog_widget) {
  $widget_select = $lawrules_single_blog_widget;
} else {
  if (is_active_sidebar('sidebar-1')) {
    $widget_select = 'sidebar-1';
  } else {
    $widget_select = '';
  }
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
  if ($lawrules_sidebar_position === 'sidebar-hide') {
    $layout_class = 'col-md-12 lawyr-listing-padding';
    $lawrules_sidebar_class = 'hide-sidebar';
  } elseif ($lawrules_sidebar_position === 'sidebar-left') {
    $layout_class = 'lawyr-primary';
    $lawrules_sidebar_class = 'left-sidebar';
  } else {
    $layout_class = 'lawyr-primary';
    $lawrules_sidebar_class = 'right-sidebar';
  }
} else {
  $lawrules_sidebar_position = 'sidebar-hide';
  $layout_class = 'col-md-12 lawyr-listing-padding';
  $lawrules_sidebar_class = 'hide-sidebar';
}
if ($lawrules_sidebar_position !== 'sidebar-hide') {
  $sidebar_class = ' sidebar';
} else {
  $sidebar_class = '';
}

if (!$noneed_practice_area_post) {

  $lawrules_large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
  $lawrules_large_image = isset($lawrules_large_image[0]) ? $lawrules_large_image[0] : '';

	?>
	<div class="lawyr-mid-wrap <?php echo esc_attr($lawrules_content_padding .' '. $lawrules_sidebar_class.$sidebar_class); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
    <div class="container">
      <div class="row">
        <div class="<?php echo esc_attr($layout_class); ?>">
          <div class="lawyr-unit-fix">
            <div class="lawyr-blog-detail">
              <?php
              if ( have_posts() ) :
                /* Start the Loop */
                while ( have_posts() ) : the_post();
                  if ($lawrules_large_image) { ?>
                    <div class="blog-image"><img src="<?php echo esc_url($lawrules_large_image); ?>" alt="<?php the_title_attribute(); ?>"></div>
                  <?php } 
                    the_content();
                endwhile;
              endif; ?>
            </div>
          </div><!-- unit-fix -->
        </div><!-- layout -->
        <?php
          if ($lawrules_sidebar_position !== 'sidebar-hide') {
            get_sidebar(); // Sidebar
          }
        ?>
      </div><!-- row -->
    </div><!-- container -->
  </div><!-- mid -->
<?php }
get_footer();
