<?php
/*
 * The template for displaying all single team.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
get_header();

// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else { $lawrules_content_padding = ''; }
// Padding - Theme Options
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
	$lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
	$lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
	$lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
	if ($lawrules_content_padding === 'padding-custom') {
		$lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
	} else {
		$lawrules_custom_padding = '';
	}
} else {
	$lawrules_custom_padding = '';
}

$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$large_image = isset($large_image[0]) ? $large_image[0] : '';
if(class_exists('Aq_Resize')) {
	$team_img = aq_resize( $large_image, '280', '280', true );
} else {$team_img = $large_image;}
$team_featured_img = ( $team_img ) ? $team_img : LAWRULES_PLUGIN_ASTS . '/images/holders/280x280.png';

$abt_title = get_the_title();
$team_options = get_post_meta( get_the_ID(), 'team_options', true );
if($team_options) {
  $team_job_position = $team_options['team_job_position'];
	$team_socials = $team_options['social_icons'];
	$team_contact = $team_options['contact_details'];
} else {
  $team_job_position = '';
  $team_socials = '';
  $team_contact = '';
}

// Theme Options
$lawrules_sidebar_position = cs_get_option('team_sidebar_position');
$lawrules_single_blog_widget = cs_get_option('team_widget');
if ($lawrules_single_blog_widget) {
  $widget_select = $lawrules_single_blog_widget;
} else {
  if (is_active_sidebar('sidebar-1')) {
    $widget_select = 'sidebar-1';
  } else {
    $widget_select = '';
  }
}
// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
  if ($lawrules_sidebar_position === 'sidebar-hide') {
    $layout_class = 'col-md-12 lawyr-listing-padding';
    $lawrules_sidebar_class = 'hide-sidebar';
  } elseif ($lawrules_sidebar_position === 'sidebar-left') {
    $layout_class = 'lawyr-primary';
    $lawrules_sidebar_class = 'left-sidebar';
  } else {
    $layout_class = 'lawyr-primary';
    $lawrules_sidebar_class = 'right-sidebar';
  }
} else {
  $lawrules_sidebar_position = 'sidebar-hide';
  $layout_class = 'col-md-12 lawyr-listing-padding';
  $lawrules_sidebar_class = 'hide-sidebar';
}
if ($lawrules_sidebar_position !== 'sidebar-hide') {
  $sidebar_class = ' sidebar';
} else {
  $sidebar_class = '';
}
?>
<div class="lawyr-mid-wrap team-single <?php echo esc_attr($lawrules_content_padding.' '. $lawrules_sidebar_class.$sidebar_class); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="<?php echo esc_attr($layout_class); ?>">
				<div class="mate-detail-item">
					<div class="row">
						<div class="col-md-6">
							<?php if ($large_image) { ?>
			        	<div class="lawyr-image"><img src="<?php echo esc_url($large_image); ?>" alt="<?php echo esc_attr($abt_title); ?>"></div>
			        <?php } ?>
						</div>
						<div class="col-md-6">
							<div class="mate-info">
									<h5 class="mate-info-subtitle"><?php echo esc_html($team_job_position); ?></h5>
				          <h3 class="mate-info-title"><?php echo esc_html($abt_title); ?></h3>
				        <p><?php the_excerpt(); ?></p>
                <?php if ( ! empty( $team_contact ) ) { ?>
	                <div class="mate-info-meta">
					        	<ul class="mate-contact">
	                    <?php foreach ( $team_contact as $contact ) {
	                    if($contact['contact_link']) { ?>
	                      <li><?php echo esc_html($contact['contact_title']); ?><span><a href="<?php echo esc_url($contact['contact_link']); ?>" target="_blank"><?php echo esc_html($contact['contact_text']); ?></a></span></li>
		                  <?php } else { ?>
	                      <li><?php echo esc_html($contact['contact_title']); ?><span><?php echo esc_html($contact['contact_text']); ?></span></li>
		                  <?php } } ?>
	                	</ul>
	                </div>
                <?php }
                if ( ! empty( $team_socials ) ) { ?>
				        	<div class="lawyr-social square">
                    <?php foreach ( $team_socials as $social ) {
                    if($social['icon_link']) { ?>
                    	<a href="<?php echo esc_url($social['icon_link']); ?>"><i class="<?php echo esc_attr($social['icon']); ?>"></i></a>
	                  <?php } } ?>
                	</div>
                <?php } ?>
			        </div>
						</div>
					</div>
				</div><!-- Blog Div -->
				<?php
					if (have_posts()) : while (have_posts()) : the_post();
						the_content();
					endwhile;
					endif;
		    	wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
			<?php
			// Right Sidebar
			if ($lawrules_sidebar_position !== 'sidebar-hide') {
        get_sidebar(); // Sidebar
      } ?>
		</div>
	</div>
</div>
<?php
get_footer();
