<?php
/*
 * The template for displaying all single testimonial.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com/
 */
get_header();

// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );
if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else { $lawrules_content_padding = ''; }
// Padding - Theme Options
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
	$lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
	$lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
	$lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
	if ($lawrules_content_padding === 'padding-custom') {
		$lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
	} else {
		$lawrules_custom_padding = '';
	}
} else {
	$lawrules_custom_padding = '';
}

// Featured Image
$large_image =  wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()), 'fullsize', false, '' );
$large_image = isset($large_image[0]) ? $large_image[0] : '';
$lawrules_alt = get_post_meta( get_post_thumbnail_id(get_the_ID()), '_wp_attachment_image_alt', true);

?>
<div class="lawyr-mid-wrap testimonial-single <?php echo esc_attr($lawrules_content_padding); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="lawyr-testimonial-wrap">
			    <div class="testimonial-info">
			      <?php if($large_image) { ?>
              <div class="lawyr-image"><img src="<?php echo esc_url($large_image); ?>" alt="<?php echo esc_attr($lawrules_alt); ?>"></div>
            <?php } ?>
			      <h5 class="author-name"> <?php echo esc_html(get_the_title()); ?> </h5>
			      <div class="testimonial-wrap">
			        <?php if (has_excerpt()) { ?><p><?php the_excerpt(); ?></p><?php } ?>
			      </div>
			    </div>
				<?php
					if (have_posts()) : while (have_posts()) : the_post();
						the_content();
					endwhile;
					endif;
				?>
				</div><!-- Blog Div -->
				<?php
		    	wp_reset_postdata();  // avoid errors further down the page
				?>
			</div><!-- Content Area -->
		</div>
	</div>
</div>
<?php
get_footer();
