<?php
/*
 * The template for displaying all pages.
 * Author & Copyright: VictorThemes
 * URL: https://victorthemes.com
 */

// Metabox
// Metabox
$lawrules_id    = ( isset( $post ) ) ? $post->ID : 0;
$lawrules_id    = ( is_home() ) ? get_option( 'page_for_posts' ) : $lawrules_id;
$lawrules_id    = ( lawrules_is_woocommerce_shop() ) ? wc_get_page_id( 'shop' ) : $lawrules_id;
$lawrules_meta  = get_post_meta( $lawrules_id, 'page_type_metabox', true );

if ($lawrules_meta) {
	$lawrules_content_padding = $lawrules_meta['content_spacings'];
} else { $lawrules_content_padding = ''; }
// Padding - Metabox
if ($lawrules_content_padding && $lawrules_content_padding !== 'padding-none') {
	$lawrules_content_spacings_unit = $lawrules_meta['content_top_bottom_padding']['unit'];
	$lawrules_content_top_spacings = $lawrules_meta['content_top_bottom_padding']['top'];
	$lawrules_content_bottom_spacings = $lawrules_meta['content_top_bottom_padding']['bottom'];
	if ($lawrules_content_padding === 'padding-custom') {
		$lawrules_content_top_spacings = $lawrules_content_top_spacings ? 'padding-top:'.$lawrules_content_top_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_content_bottom_spacings = $lawrules_content_bottom_spacings ? 'padding-bottom:'.$lawrules_content_bottom_spacings.$lawrules_content_spacings_unit.';' : '';
		$lawrules_custom_padding = $lawrules_content_top_spacings . $lawrules_content_bottom_spacings;
	} else {
		$lawrules_custom_padding = '';
	}
} else {
	$lawrules_custom_padding = '';
}

// Theme Options
$lawrules_sidebar_position = cs_get_option('woo_sidebar_position');
$lawrules_woo_widget = cs_get_option('woo_widget');

if (!empty($lawrules_woo_widget)) {
	$widget_select = $lawrules_woo_widget;
} else {
	if (is_active_sidebar('shop')) {
		$widget_select = 'shop';
	} else {
		$widget_select = '';
	}
}

// Sidebar Position
if ($widget_select && is_active_sidebar( $widget_select )) {
	if ($lawrules_sidebar_position === 'sidebar-hide') {
		$layout_class = 'col-md-12';
		$lawrules_sidebar_class = 'hide-sidebar';
	} elseif ($lawrules_sidebar_position === 'left-sidebar') {
		$layout_class = 'lawyr-primary';
		$lawrules_sidebar_class = 'left-sidebar';
	} else {
		$layout_class = 'lawyr-primary';
		$lawrules_sidebar_class = 'right-sidebar';
	}
} else {
	$lawrules_sidebar_position = 'sidebar-hide';
	$layout_class = 'col-md-12';
	$lawrules_sidebar_class = 'hide-sidebar';
}
get_header(); ?>
<div class="lawyr-mid-wrap <?php echo esc_attr($lawrules_content_padding); ?>" style="<?php echo esc_attr($lawrules_custom_padding); ?>">
  <div class="container">
    <div class="woocommerce woocommerce-page">
      <div class="row">
			<?php do_action('lawrules_woocommerce_before_shop_loop'); ?>
				<div class="container lawyr-content-area <?php echo esc_attr($lawrules_sidebar_class); ?>">
					<div class="row">
						<div class="woo-content-side <?php echo esc_attr($layout_class); ?>">
							<?php
								if ( have_posts() ) :
									woocommerce_content();
								endif; // End of the loop.
							?>
						</div><!-- Content Area -->
						<?php
						// Right Sidebar
						if($lawrules_sidebar_position !== 'sidebar-hide') { get_sidebar('shop'); } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php
get_footer();
